[qt4/recents] Remove dependency on qt4.4 for QList::removeOne()